/***************************************************************************************/
/* Anope Module : os_setlist.c : v1.0                                                  */  
/* Trystan Scott Lee                                                                   */
/* trystan@nomadirc.net                                                                */ 
/*                                                                                     */
/* Anope (c) 2000-2002 Anope.org                                                       */
/*                                                                                     */ 
/* This program is free software; you can redistribute it and/or modify it under the   */
/* terms of the GNU General Public License as published by the Free Software           */
/* Foundation; either version 1, or (at your option) any later version.                */
/*                                                                                     */
/*  This program is distributed in the hope that it will be useful, but WITHOUT ANY    */
/*  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A    */
/*  PARTICULAR PURPOSE.  See the GNU General Public License for more details.          */
/*                                                                                     */
/***************************************************************************************/

/***************************************************************************************/
/*                                                                                     */
/* Commands Added : /msg operserv logbot [on/off]                                      */
/* Supported IRCD : Any that Anope Supports                                            */
/*                                                                                     */
/***************************************************************************************/

#include <stdio.h>
#include "module.h"
#define AUTHOR "Trystan"
#define VERSION "1.0"

int do_logbot(User * u);                        /* OperServ Command function           */
int do_logbot_help(User *u);                   /* Hook the setlist help               */

int AnopeInit(int argc, char **argv) 
{
 	Command *c;
	c = createCommand("logbot",do_logbot,is_services_admin,-1,-1,-1,-1,-1);
        moduleAddCommand(OPERSERV,c,MOD_HEAD);

	moduleAddHelp(c,do_logbot_help);

        moduleAddAuthor(AUTHOR);
        moduleAddVersion(VERSION);
	return MOD_CONT;
}

int do_logbot_help(User *u)
{
   if (is_services_admin(u)) {
                notice(s_OperServ, u->nick, "LOGBOT [on/off]");
                notice(s_OperServ, u->nick, " ");
                notice(s_OperServ, u->nick, "enable and disable LOGBOT setting");
                return MOD_STOP;
  }
  return MOD_STOP;
}

void AnopeFini(void) {
  alog("Unloading os_logbot.so");
}

/*
  OperServ command for SETLIST
*/
int do_logbot(User * u)
{
 char *cmd   = strtok(NULL, " ");

 if (!cmd) { 
  notice(s_OperServ, u->nick, "LOGBOT syntax error");
  notice(s_OperServ, u->nick, "LOGBOT [on/off]");
  return MOD_STOP;
 }

 if (stricmp(cmd,"ON")==0) {
  alog("%s: Setting logbot to on", s_OperServ);
  LogBot = 1;
  return MOD_STOP;
 }
 else if (stricmp(cmd,"OFF")==0) {
  alog("%s: Setting logbot to off", s_OperServ);
  LogBot = 0;
  return MOD_STOP;
 }
 else {
  notice(s_OperServ, u->nick, "LOGBOT syntax error");
  notice(s_OperServ, u->nick, "LOGBOT [on/off]");
  return MOD_STOP;
 }
}


